org.eclnt.jsfserver.elements.componentnodes

## Class IMAGENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.IMAGENode

- All Implemented Interfaces:
    java.io.Serializable

      public class IMAGENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMAGENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMAGENode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindActionListener(IActionListenerDelegation value)`
    `IMAGENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindAlign(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindAvoidscaling(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindBackground(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindBorder(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindClientname(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindColspan(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindComment(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindDragsend(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindDropshape(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindFgpaint(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindFocusable(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindHeight(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindHelpid(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindHoverimage(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindImage(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindImageheight(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindImagewidth(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindInvokeevent(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindKeepratio(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindRendered(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindRounding(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindShadow(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindTooltip(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindValign(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindWidth(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindWithhover(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindX(IDynamicContentBindingObject value)`
    `IMAGENode` | `bindY(IDynamicContentBindingObject value)`
    `IMAGENode` | `setAccessiblename(java.lang.String value)`
    `IMAGENode` | `setActionListener(java.lang.String value)`
    `IMAGENode` | `setAdapterbinding(java.lang.String value)`
    `IMAGENode` | `setAlign(java.lang.String value)`
    `IMAGENode` | `setAnimatechangeofsize(boolean value)`
    `IMAGENode` | `setAnimatechangeofsize(java.lang.String value)`
    `IMAGENode` | `setAttributemacro(java.lang.String value)`
    `IMAGENode` | `setAvoidscaling(boolean value)`
    `IMAGENode` | `setAvoidscaling(java.lang.String value)`
    `IMAGENode` | `setBackground(java.lang.String value)`
    `IMAGENode` | `setBgpaint(java.lang.String value)`
    `IMAGENode` | `setBorder(java.lang.String value)`
    `IMAGENode` | `setClientname(java.lang.String value)`
    `IMAGENode` | `setColspan(int value)`
    `IMAGENode` | `setColspan(java.lang.String value)`
    `IMAGENode` | `setComment(java.lang.String value)`
    `IMAGENode` | `setConfiginfo(java.lang.String value)`
    `IMAGENode` | `setDragroundtrip(boolean value)`
    `IMAGENode` | `setDragroundtrip(java.lang.String value)`
    `IMAGENode` | `setDragsend(java.lang.String value)`
    `IMAGENode` | `setDroprastertext(java.lang.String value)`
    `IMAGENode` | `setDropreceive(java.lang.String value)`
    `IMAGENode` | `setDropshape(java.lang.String value)`
    `IMAGENode` | `setFgpaint(java.lang.String value)`
    `IMAGENode` | `setFocusable(boolean value)`
    `IMAGENode` | `setFocusable(java.lang.String value)`
    `IMAGENode` | `setFocusdrawborder(boolean value)`
    `IMAGENode` | `setFocusdrawborder(java.lang.String value)`
    `IMAGENode` | `setFxstyleseq(java.lang.String value)`
    `IMAGENode` | `setHeight(int value)`
    `IMAGENode` | `setHeight(java.lang.String value)`
    `IMAGENode` | `setHelpid(java.lang.String value)`
    `IMAGENode` | `setHoverimage(java.lang.String value)`
    `IMAGENode` | `setId(java.lang.String value)`
    `IMAGENode` | `setImage(java.lang.String value)`
    `IMAGENode` | `setImageheight(int value)`
    `IMAGENode` | `setImageheight(java.lang.String value)`
    `IMAGENode` | `setImagewidth(int value)`
    `IMAGENode` | `setImagewidth(java.lang.String value)`
    `IMAGENode` | `setInvokeevent(java.lang.String value)`
    `IMAGENode` | `setKeepratio(boolean value)`
    `IMAGENode` | `setKeepratio(java.lang.String value)`
    `IMAGENode` | `setPopupmenu(java.lang.String value)`
    `IMAGENode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `IMAGENode` | `setReference(java.lang.String value)`
    `IMAGENode` | `setRendered(boolean value)`
    `IMAGENode` | `setRendered(java.lang.String value)`
    `IMAGENode` | `setRounding(int value)`
    `IMAGENode` | `setRounding(java.lang.String value)`
    `IMAGENode` | `setRowalignmenty(java.lang.String value)`
    `IMAGENode` | `setShadow(java.lang.String value)`
    `IMAGENode` | `setStyleseq(java.lang.String value)`
    `IMAGENode` | `setStylevariant(java.lang.String value)`
    `IMAGENode` | `setTooltip(java.lang.String value)`
    `IMAGENode` | `setValign(java.lang.String value)`
    `IMAGENode` | `setWidth(int value)`
    `IMAGENode` | `setWidth(java.lang.String value)`
    `IMAGENode` | `setWithhover(boolean value)`
    `IMAGENode` | `setWithhover(java.lang.String value)`
    `IMAGENode` | `setX(int value)`
    `IMAGENode` | `setX(java.lang.String value)`
    `IMAGENode` | `setY(int value)`
    `IMAGENode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IMAGENode

          public IMAGENode()

  - ### Method Detail

    - #### setId

          public IMAGENode setId(java.lang.String value)

    - #### setAccessiblename

          public IMAGENode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public IMAGENode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public IMAGENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public IMAGENode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public IMAGENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public IMAGENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAlign

          public IMAGENode setAlign(java.lang.String value)

    - #### bindAlign

          public IMAGENode bindAlign(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public IMAGENode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public IMAGENode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public IMAGENode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public IMAGENode setAttributemacro(java.lang.String value)

    - #### setAvoidscaling

          public IMAGENode setAvoidscaling(java.lang.String value)

    - #### bindAvoidscaling

          public IMAGENode bindAvoidscaling(IDynamicContentBindingObject value)

    - #### setAvoidscaling

          public IMAGENode setAvoidscaling(boolean value)

    - #### setBackground

          public IMAGENode setBackground(java.lang.String value)

    - #### bindBackground

          public IMAGENode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public IMAGENode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public IMAGENode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public IMAGENode setBorder(java.lang.String value)

    - #### bindBorder

          public IMAGENode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public IMAGENode setClientname(java.lang.String value)

    - #### bindClientname

          public IMAGENode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public IMAGENode setColspan(java.lang.String value)

    - #### bindColspan

          public IMAGENode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public IMAGENode setColspan(int value)

    - #### setComment

          public IMAGENode setComment(java.lang.String value)

    - #### bindComment

          public IMAGENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public IMAGENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public IMAGENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public IMAGENode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public IMAGENode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public IMAGENode setDragroundtrip(boolean value)

    - #### setDragsend

          public IMAGENode setDragsend(java.lang.String value)

    - #### bindDragsend

          public IMAGENode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public IMAGENode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public IMAGENode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public IMAGENode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public IMAGENode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public IMAGENode setDropshape(java.lang.String value)

    - #### bindDropshape

          public IMAGENode bindDropshape(IDynamicContentBindingObject value)

    - #### setFgpaint

          public IMAGENode setFgpaint(java.lang.String value)

    - #### bindFgpaint

          public IMAGENode bindFgpaint(IDynamicContentBindingObject value)

    - #### setFocusable

          public IMAGENode setFocusable(java.lang.String value)

    - #### bindFocusable

          public IMAGENode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public IMAGENode setFocusable(boolean value)

    - #### setFocusdrawborder

          public IMAGENode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public IMAGENode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public IMAGENode setFocusdrawborder(boolean value)

    - #### setFxstyleseq

          public IMAGENode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public IMAGENode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public IMAGENode setHeight(java.lang.String value)

    - #### bindHeight

          public IMAGENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public IMAGENode setHeight(int value)

    - #### setHelpid

          public IMAGENode setHelpid(java.lang.String value)

    - #### bindHelpid

          public IMAGENode bindHelpid(IDynamicContentBindingObject value)

    - #### setHoverimage

          public IMAGENode setHoverimage(java.lang.String value)

    - #### bindHoverimage

          public IMAGENode bindHoverimage(IDynamicContentBindingObject value)

    - #### setImage

          public IMAGENode setImage(java.lang.String value)

    - #### bindImage

          public IMAGENode bindImage(IDynamicContentBindingObject value)

    - #### setImageheight

          public IMAGENode setImageheight(java.lang.String value)

    - #### bindImageheight

          public IMAGENode bindImageheight(IDynamicContentBindingObject value)

    - #### setImageheight

          public IMAGENode setImageheight(int value)

    - #### setImagewidth

          public IMAGENode setImagewidth(java.lang.String value)

    - #### bindImagewidth

          public IMAGENode bindImagewidth(IDynamicContentBindingObject value)

    - #### setImagewidth

          public IMAGENode setImagewidth(int value)

    - #### setInvokeevent

          public IMAGENode setInvokeevent(java.lang.String value)

    - #### bindInvokeevent

          public IMAGENode bindInvokeevent(IDynamicContentBindingObject value)

    - #### setKeepratio

          public IMAGENode setKeepratio(java.lang.String value)

    - #### bindKeepratio

          public IMAGENode bindKeepratio(IDynamicContentBindingObject value)

    - #### setKeepratio

          public IMAGENode setKeepratio(boolean value)

    - #### setPopupmenu

          public IMAGENode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public IMAGENode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public IMAGENode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public IMAGENode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public IMAGENode setReference(java.lang.String value)

    - #### setRendered

          public IMAGENode setRendered(java.lang.String value)

    - #### bindRendered

          public IMAGENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public IMAGENode setRendered(boolean value)

    - #### setRounding

          public IMAGENode setRounding(java.lang.String value)

    - #### bindRounding

          public IMAGENode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public IMAGENode setRounding(int value)

    - #### setRowalignmenty

          public IMAGENode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public IMAGENode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public IMAGENode setShadow(java.lang.String value)

    - #### bindShadow

          public IMAGENode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public IMAGENode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public IMAGENode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public IMAGENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public IMAGENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTooltip

          public IMAGENode setTooltip(java.lang.String value)

    - #### bindTooltip

          public IMAGENode bindTooltip(IDynamicContentBindingObject value)

    - #### setValign

          public IMAGENode setValign(java.lang.String value)

    - #### bindValign

          public IMAGENode bindValign(IDynamicContentBindingObject value)

    - #### setWidth

          public IMAGENode setWidth(java.lang.String value)

    - #### bindWidth

          public IMAGENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public IMAGENode setWidth(int value)

    - #### setWithhover

          public IMAGENode setWithhover(java.lang.String value)

    - #### bindWithhover

          public IMAGENode bindWithhover(IDynamicContentBindingObject value)

    - #### setWithhover

          public IMAGENode setWithhover(boolean value)

    - #### setX

          public IMAGENode setX(java.lang.String value)

    - #### bindX

          public IMAGENode bindX(IDynamicContentBindingObject value)

    - #### setX

          public IMAGENode setX(int value)

    - #### setY

          public IMAGENode setY(java.lang.String value)

    - #### bindY

          public IMAGENode bindY(IDynamicContentBindingObject value)

    - #### setY

          public IMAGENode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.